Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002752Zandronum[All Projects] Suggestionpublic2016-06-10 00:592017-05-13 20:45
ReporterAlexMax 
Assigned ToTorr Samaho 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.1 
Target Version3.0Fixed in Version3.0 
Summary0002752: Remove sv_defaultdmflags
DescriptionThis cvar is a snare trap, only serving to confuse new server hosts and players. Can it be removed?
Attached Files

- Relationships

-  Notes
User avatar (0015061)
WaTaKiD (updater)
2016-06-10 04:18

once upon a time i also fell victim to this cvar and was relieved to finally learn about it and keep it disabled forever so that i may have full control of server settings without some being forced by default (i dare go offtopic and mention alwaysapplydmflags annoyed me for a short period of time before i found about it as well)

of course, over time, theres been others who also had to find out about it one way or another, either by asking on irc (new hosters using best-ever) or by making a tracker ticket because they thought they found a bug (tickets 163, 252, and 1294)

now, i dont know if there are any maps, mods, scripts, lumps, or what have you that might break or exhibit weird behavior if this cvar gets removed, or maybe theres nothing to worry about, but if it is considered, perhaps simply changing the cvar to default to false instead would be a safer route, just in case?
User avatar (0015134)
Torr Samaho (administrator)
2016-06-26 20:16

I agree, changing the default value to false should be the safest solution.
User avatar (0015150)
AlexMax (developer)
2016-06-28 22:59

> perhaps simply changing the cvar to default to false instead would be a safer route, just in case?

What could conceivably break by removal of the cvar, other than there maybe being a warning in a startup script?
User avatar (0015151)
WaTaKiD (updater)
2016-06-29 03:04

i was just speaking pessimistic in general because i dont actually know wut would break or not since i severely lack experience with modding/scripting/etc

dont get me wrong, i have 0 love for that cvar and personally wouldnt mind to see it gone as i will never use it, but a safer alternative (defaulting to false) would be just the same to me and might save something from breaking in the future, but if its just gonna be some warning printed to the console then that doesnt sound too bad, either way is fine with me
User avatar (0015152)
Torr Samaho (administrator)
2016-06-29 06:04

I don't see an advantage in completely removing the CVAR. It is a shortcut to a reasonable set of settings. I certainly wouldn't add it, if it wasn't there already, but what do we gain by removing it? If the default is changed to false, it shouldn't cause problems for anybody.
User avatar (0015153)
StrikerMan780 (reporter)
2016-06-29 21:41
edited on: 2016-06-29 21:43

I'd make it a command rather than a cvar. That way you just call it once to set the DMFlags to default, and won't affect the flags on map change if the DMFlags are changed later.

User avatar (0015525)
Combinebobnt (reporter)
2016-08-25 15:21

Have alwaysapplydmflags default to 1 too. It's in the same boat as this hideous carncvar.
User avatar (0015526)
Dusk (developer)
2016-08-26 08:07

alwaysapplydmflags, unlike this cvar, is totally pointless though. It doesn't even control the behavior of all dmflags. I think it should just be removed.
User avatar (0017644)
Torr Samaho (administrator)
2017-05-13 12:41

I changed the default value of sv_defaultdmflags to false.
User avatar (0017657)
Ru5tK1ng (updater)
2017-05-13 20:21

Fired up r170513 on a local server and it was indeed defaulted to 0.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: Combinebobnt Marcaek Argentum Catastrophe AlexMax
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2016-06-10 00:59 AlexMax New Issue
2016-06-10 04:18 WaTaKiD Note Added: 0015061
2016-06-26 20:16 Torr Samaho Note Added: 0015134
2016-06-26 20:17 Torr Samaho Assigned To => Torr Samaho
2016-06-26 20:17 Torr Samaho Status new => assigned
2016-06-26 20:17 Torr Samaho Status assigned => feedback
2016-06-28 22:59 AlexMax Note Added: 0015150
2016-06-28 22:59 AlexMax Status feedback => assigned
2016-06-29 03:04 WaTaKiD Note Added: 0015151
2016-06-29 06:04 Torr Samaho Note Added: 0015152
2016-06-29 21:41 StrikerMan780 Note Added: 0015153
2016-06-29 21:43 StrikerMan780 Note Edited: 0015153 View Revisions
2016-08-25 15:21 Combinebobnt Note Added: 0015525
2016-08-26 08:07 Dusk Note Added: 0015526
2017-05-13 12:41 Torr Samaho Note Added: 0017644
2017-05-13 12:41 Torr Samaho Status assigned => needs testing
2017-05-13 12:41 Torr Samaho Product Version => 2.1
2017-05-13 12:41 Torr Samaho Target Version => 3.0
2017-05-13 20:21 Ru5tK1ng Note Added: 0017657
2017-05-13 20:21 Ru5tK1ng Status needs testing => resolved
2017-05-13 20:21 Ru5tK1ng Resolution open => fixed
2017-05-13 20:21 Ru5tK1ng Fixed in Version => 3.0






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker